...you did not provide enough memory to run this program,pooled,haplotypecaller

Hello,

I am using haplotypecaller version 3.4-46 with pooled data (ploidy 44) and I am running in to the error 'There was a failure because you did not provide enough memory to run this program'. I have a very high coverage (~10000x at each position). Searching in the forums, I have found suggestions of down sampling, (which haplotypecaller does itself in the version I am using) and changing the minPruning parameter (which I am afraid may further compromise the sensitivity of the variant calling given the samples are pooled). Previously I used unifiedgenotyper on the same data and I had no problems. Is there something else I could try to get rid of the memory issues or should I stick with unifiedgenotyper in my case? Thank you for your support.

Answers

  • SheilaSheila Broad InstituteMember, Broadie, Moderator admin

    @Eva
    Hi,

    Can you try using the latest version (3.5)? There have been some changes made to the way ploidy calculations are done. I hope that will help solve your problems.

    -Sheila

Sign In or Register to comment.